\name{pq.transform}
\alias{pq.transform}

 \title{Positive Quantile Transformation}

 \description{Apply Positive Quantile Transformation to each column of a data set} 

\usage{
pq.transform (data.set, data.columns = colnames(data.set), add.row.id = TRUE) 
}
 \arguments{
 \item{data.set}{a data.frame or name of a tab-delimited data file}
 \item{data.columns}{columns of data.set to transform}
 \item{add.row.id}{ logical, indicates whether to add a columns with row identifiers to the result, default=TRUE.}}

\value{a data.frame with the pqt tranformed values substituted for data.columns}

 \details{For each subject, the raw expression values are normalized by determining 
  their quantile against the positive raw expression values.
  If data.columns is NULL, then all columns of data.set will be transformed.
  If data.columns is a character vector, then all columns of data.set with a name found in
  data.columns will be transformed.  If data.columns is a numeric vector, then 
  the columns with those numeric indices will be transformed.}
 
  \author{Stan Pounds \email{stanley.pounds@stjude.org}}

 \examples{

 # load data
  data(M7example)
  
  # specify columns of data to transform
  data.columns=5:18
  
  # perform positive quantile transformation of specified columns of data
  pqt.data=pq.transform(M7example,data.columns,add.row.id=TRUE)}

